"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.findTradeHistoryAddress = exports.findTresuryOwnerAddress = exports.findVaultOwnerAddress = void 0;
const web3_js_1 = require("@solana/web3.js");
const consts_1 = require("../consts");
const VAULT_OWNER_PREFIX = 'mt_vault';
const TREASURY_OWNER_PREFIX = 'holder';
const TRADE_HISTORY_PREFIX = 'history';
const findVaultOwnerAddress = (mint, store) => {
    return web3_js_1.PublicKey.findProgramAddress([Buffer.from(VAULT_OWNER_PREFIX), mint.toBuffer(), store.toBuffer()], new web3_js_1.PublicKey(consts_1.PROGRAM_ID));
};
exports.findVaultOwnerAddress = findVaultOwnerAddress;
const findTresuryOwnerAddress = (treasuryMint, sellingResource) => {
    return web3_js_1.PublicKey.findProgramAddress([Buffer.from(TREASURY_OWNER_PREFIX), treasuryMint.toBuffer(), sellingResource.toBuffer()], new web3_js_1.PublicKey(consts_1.PROGRAM_ID));
};
exports.findTresuryOwnerAddress = findTresuryOwnerAddress;
const findTradeHistoryAddress = (wallet, market) => {
    return web3_js_1.PublicKey.findProgramAddress([Buffer.from(TRADE_HISTORY_PREFIX), wallet.toBuffer(), market.toBuffer()], new web3_js_1.PublicKey(consts_1.PROGRAM_ID));
};
exports.findTradeHistoryAddress = findTradeHistoryAddress;
//# sourceMappingURL=index.js.map